Package org.codehaus.groovy.classgen.asm

## Class MethodReferenceExpressionWriter

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.MethodPointerExpressionWriter
  - - org.codehaus.groovy.classgen.asm.MethodReferenceExpressionWriter

- Direct Known Subclasses:
    `StaticTypesMethodReferenceExpressionWriter`

      public class MethodReferenceExpressionWriter
      extends MethodPointerExpressionWriter

  A helper class used to generate bytecode for method reference expressions.
  Since:
    3.0.0

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.classgen.asm.MethodPointerExpressionWriter

      `controller`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MethodReferenceExpressionWriter​(WriterController controller)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `writeMethodReferenceExpression​(MethodReferenceExpression expression)` |

    - ### Methods inherited from class org.codehaus.groovy.classgen.asm.MethodPointerExpressionWriter

      `writeMethodPointerExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodReferenceExpressionWriter

          public MethodReferenceExpressionWriter​(WriterController controller)

  - ### Method Detail

    - #### writeMethodReferenceExpression

          public void writeMethodReferenceExpression​(MethodReferenceExpression expression)